NameserviceManager (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.router, interface: NameserviceManager

Package org.apache.hadoop.hdfs.server.federation.router

# Interface NameserviceManager

All Known Subinterfaces:
  `RouterAdminProtocol`

All Known Implementing Classes:
  `RouterAdminProtocolTranslatorPB`, `RouterAdminServer`

public interface NameserviceManager
Interface for enable/disable name service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DisableNameserviceResponse`
  `disableNameservice(DisableNameserviceRequest request)`
  Disable a name service.
  `EnableNameserviceResponse`
  `enableNameservice(EnableNameserviceRequest request)`
  Enable a name service.
  `GetDisabledNameservicesResponse`
  `getDisabledNameservices(GetDisabledNameservicesRequest request)`
  Get the list of disabled name service.

- ## Method Details

  - ### disableNameservice

    DisableNameserviceResponse disableNameservice(DisableNameserviceRequest request) throws IOException
    Disable a name service.
    Parameters:
      `request` - Request to disable a name service.
    Returns:
      Response to disable a name service.
    Throws:
      `IOException` - If it cannot perform the operation.

  - ### enableNameservice

    EnableNameserviceResponse enableNameservice(EnableNameserviceRequest request) throws IOException
    Enable a name service.
    Parameters:
      `request` - Request to enable a name service.
    Returns:
      Response to disable a name service.
    Throws:
      `IOException` - If it cannot perform the operation.

  - ### getDisabledNameservices

    GetDisabledNameservicesResponse getDisabledNameservices(GetDisabledNameservicesRequest request) throws IOException
    Get the list of disabled name service.
    Parameters:
      `request` - Request to get the disabled name services.
    Returns:
      Response to get the disabled name services.
    Throws:
      `IOException` - If it cannot perform the operation.